Вопрос: ImportError: ни один модуль нестабилен


Я получаю следующую ошибку, когда выполняю gui.py скрипт на моем недавно установленном Ubuntu 12.04 LTS. Пожалуйста, помогите, поскольку я недавно начал использовать Ubuntu, я еще не слишком хорошо разбираюсь в отладке.

Я получаю эту ошибку, когда я пытаюсь открыть графический интерфейс программного обеспечения с открытым исходным кодом RevKit

sushanttrivedi@ubuntu:~/project/revkit-1.3$ ./tools/gui/gui.py
Traceback (most recent call last):
  File "./tools/gui/gui.py", line 143, in <module>
    w = MainWindow()
  File "./tools/gui/gui.py", line 73, in __init__
    self.setupTools()
  File "./tools/gui/gui.py", line 102, in setupTools
    import items.unstable
ImportError: No module named unstable

Что это за ошибка? это потому, что отсутствует какой-либо фоновый пакет? Спасибо за помощь.


0
2018-02-03 18:39


Источник




Ответы:


Он говорит, что в «элементах» нет модуля с именем «unstable».

Некоторые вещи, чтобы попробовать:

Откройте терминал и запустите интерпретатор python и import items а затем попробуйте help(items),

Возможно, вы сможете попробовать sudo pip install items или sudo pip install revkit_python

Хотя кажется items является конкретным модулем, связанным с revkit.

Возможно, потребуется несколько файлов: ./configure; make && make install в папке revkit.


1
2018-02-03 19:14